<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Vormi harjutus</title>
    <!-- <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-9ndCyUaIbzAi2FUVXJi0CjmCapSmO7SnpJef0486qhLnuZ2cdeRhO02iuK6FUUVM" crossorigin="anonymous"> -->
    <link rel="stylesheet" href="form.css">
</head>

<body>


    <form method="post" action="https://frogaccelerator.com/submit-app/" enctype="multipart/form-data">
        <div class="container">
            <div class="headline-row">
                <h1>Palun täida vorm</h1>
            </div>
            <div class="label">Eesnimi</div>
            <div class="input">
                <input type="text" name="firstName" class="form-control" required minlength="2" maxlength="25">
            </div>
            <div class="label">Perenimi</div>
            <div class="input">
                <input type="text" name="lastName" required minlength="2" maxlength="25">
            </div>
            <div class="label">Sugu</div>
            <div class="input">
                <select name="gender" required>
                    <option value=""></option>
                    <option value="F">Naine</option>
                    <option value="M">Mees</option>
                </select>
            </div>
            <div class="label">Sünniaeg</div>
            <div class="input">
                <input type="date" name="dateOfBirth" required>
            </div>
            <div class="label">Perekonnaseis</div>
            <div class="input">
                <div class="multi-input">
                    <input type="radio" required name="maritalStatus" value="single" id="maritalStatusSingle">
                    <label for="maritalStatusSingle">Vallaline</label>
                    <input type="radio" name="maritalStatus" value="married" id="maritalStatusMarried">
                    <label for="maritalStatusMarried">Abielus</label>
                    <input type="radio" name="maritalStatus" value="committed" id="maritalStatusCommitted">
                    <label for="maritalStatusCommitted">Vabaabielus</label>
                </div>
            </div>
            <div class="label">E-post:</div>
            <div class="input">
                <input type="email" name="email" required>
            </div>
            <div class="label">Parool</div>
            <div class="input">
                <input type="password" name="password" required>
            </div>
            <div class="label">Hobid</div>
            <div class="input">
                <div class="multi-input">
                    <input type="checkbox" name="hobbies[]" value="cycling" id="hobbiesCycling">
                    <label for="hobbiesCycling">Jalgrattasõit</label>
                    <input type="checkbox" name="hobbies[]" value="running" id="hobbiesRunning">
                    <label for="hobbiesRunning">Jooksmine</label>
                    <input type="checkbox" name="hobbies[]" value="reading" id="hobbiesReading">
                    <label for="hobbiesReading">Lugemine</label>
                </div>
            </div>
            <div class="label">Külastatud välisriikide arv</div>
            <div class="input">
                <input type="number" name="numberOfVisitedCountries" required min="1" max="200" pattern="^\d\d\d$">
            </div>
            <div class="label">Foto</div>
            <div class="input">
                <input type="file" name="photo">
            </div>
            <div class="label"></div>
            <div class="input">
                <button type="submit">Saada vorm</button>
            </div>
        </div>

    </form>
</body>

</html>